/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Melisande\Key System\MelisandeKey.cs
Lines of code: 33
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{

	public class MelisandeKey : basepeerlesskey
	{
	
		[Constructable]
		public MelisandeKey(Map map) : base("Lady Melisande","LadyMelisande", new Point3D(6483, 947, 23),new Point3D( 6519, 948, 36 ),map,
		new Rectangle2D( new Point2D(6456,922 ), new Point2D( 6546, 970 ) ))
		{
		ItemID=12675;
		Hue=34;
		}		
		
		[Constructable]
		public MelisandeKey() : this( Map.Trammel)
		{
		}
		
		public MelisandeKey( Serial serial ) : base( serial )
		{
		}		
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

}



